Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class WCSDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.wcs.configuration.WCSDeegreeParams

All Implemented Interfaces:
  Serializable

    public class WCSDeegreeParams

extends DeegreeParams

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WCSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String[] directoryList)` creates an instance of a class containing the deegree specific global configuration parameters for a WCS

Method Summary
`void` | `addDirectory(String directory)` adds a directory to the directory list
`String[]` | `getDirectoryList()`
`void` | `removeDirectory(String directory)` removes a directory from the directory list
`void` | `setDirectoryList(String[] directoryList)`

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCSDeegreeParams

    public WCSDeegreeParams(OnlineResource defaultOnlineResource,
                            int cacheSize,
                            int requestTimeLimit,
                            String[] directoryList)

  creates an instance of a class containing the deegree specific global configuration parameters for a WCS

  Parameters:
    `defaultOnlineResource` - URL/URI used a default if not specified in the Request section of the capabilities
    `cacheSize` - max size of the used cache
    `requestTimeLimit` - maximum time limit (minutes) of request processing
    `directoryList` - list of directories that are scanned for data-configuration files for the WCS

Method Detail

### getDirectoryList

    public String[] getDirectoryList()

  Returns:
    Returns the directoryList.

### setDirectoryList

    public void setDirectoryList(String[] directoryList)

  Parameters:
    `directoryList` - The directoryList to set.

### addDirectory

    public void addDirectory(String directory)

  adds a directory to the directory list

  Parameters:
    `directory` -

### removeDirectory

    public void removeDirectory(String directory)

  removes a directory from the directory list

  Parameters:
    `directory` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org